# $Revision: 1.38 $, $Date: 2006/11/26 14:11:30 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	RPC
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - implementation of the XML-RPC protocol
Summary(pl):	%{_pearname} - implementacja protokou XML-RPC
Name:		php-pear-%{_pearname}
Version:	1.5.1
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	1b516162ad65971b5fd04a7c279627ec
URL:		http://pear.php.net/package/XML_RPC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(xml)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a PEAR-ified version of Useful inc's XML-RPC for PHP. It has
support for HTTP transport, proxies and authentication.

In PEAR status of this package is: %{_status}.

%description -l pl
Jest to zPEARowana wersja uytecznego include-a dla PHP. Posiada
wsparcie dla transportu HTTP, proxy oraz autentyfikacji.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_RPC.spec,v $
Revision 1.38  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.37  2006/11/02 13:02:53  glen
- 1.5.1

Revision 1.36  2006/07/12 23:36:44  adamg
- updated to 1.5.0

Revision 1.35  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.34  2006/04/24 09:44:18  adamg
- updated to 1.4.8

Revision 1.33  2006/04/11 23:03:09  glen
- 1.4.7

Revision 1.32  2006/04/10 18:34:42  glen
- requires xml extension

Revision 1.31  2006/04/10 18:30:08  glen
- 1.4.6

Revision 1.30  2006/04/02 13:48:07  glen
- AutoProv: no for -tests

Revision 1.29  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.28  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.27  2006/01/23 22:49:52  glen
- 1.4.5

Revision 1.26  2005/11/20 16:26:17  glen
- rel 2

Revision 1.25  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.24  2005/10/26 15:58:03  glen
- 1.4.4

Revision 1.23  2005/10/01 15:21:06  glen
- 1.4.3

Revision 1.22  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.21  2005/09/07 11:11:01  adamg
- updated to 1.4.1

Revision 1.20  2005/08/15 20:20:35  arekm
- up to 1.4.0 (security update)

Revision 1.19  2005/07/04 12:35:29  glen
- 1.3.1, resolves CAN-2005-1921

Revision 1.18  2005/03/27 01:00:04  adamg
- updated to 1.2.2

Revision 1.17  2005/02/16 13:22:15  arekm
- up to 1.2.0rc6

Revision 1.16  2005/01/25 13:42:48  glen
- rel 3; STBR

Revision 1.15  2005/01/25 13:34:41  adamg
- include XML/RPC dir too

Revision 1.14  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.13  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/20 15:53:38  adamg
- added missing status information (it is stable)

Revision 1.11  2004/03/16 06:37:37  adamg
- updated to 1.1.0
- removed cosmetics patch

Revision 1.10  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.9  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.7  2003/05/28 08:58:50  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/14 23:53:02  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.4  2002/10/10 16:47:07  blues
- 1.0.4 - STBR

Revision 1.3  2002/09/04 12:41:30  blues
- small fix in macros

Revision 1.2  2002/07/12 16:31:47  blues
- cosmetic patch added - dependencies are generated correctly now.

Revision 1.1  2002/07/12 16:25:51  blues
- initial release
